Package com.sun.ts.lib.porting

# Class TSHttpsURLConnection

java.lang.Object
com.sun.ts.lib.porting.TSHttpsURLConnection

All Implemented Interfaces:
  `TSHttpsURLConnectionInterface`

public class TSHttpsURLConnection extends Object implements TSHttpsURLConnectionInterface
TSHttpsURLConnection provides the HTTPS specific featurs

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TSHttpsURLConnection()`
  Instantiates the class defined in porting.ts.HttpsURLConnection.class.1
  `TSHttpsURLConnection(String sClass)`
  Instantiates the class defined by sClass

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `disconnect()`
  Disconnect connection
  `String`
  `getHeaderField(int num)`
  Returns the value for the nth header field.
  `String`
  `getHeaderField(String name)`
  Returns the value of the named header field.
  `InputStream`
  `getInputStream()`
  Returns an input stream that reads from the open connection
  `OutputStream`
  `getOutputStream()`
  Returns an Output stream that writes to the open connection
  `void`
  `init(URL url)`
  Initializes HttpsURLConnection
  `void`
  `setDoInput(boolean doInput)`
  Sets the value of the doInput field for this Connection
  `void`
  `setDoOutput(boolean doOutput)`
  Sets the value of the doOutput field for this Connection
  `void`
  `setRequestProperty(String key, String value)`
  Sets the general request property.
  `void`
  `setUseCaches(boolean usecaches)`
  Sets the value of the useCaches field for this Connection If the UseCaches flag on the connection is true, the connection is allowed to use whatever caches it can.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TSHttpsURLConnection

    public TSHttpsURLConnection()
    Instantiates the class defined in porting.ts.HttpsURLConnection.class.1

  - ### TSHttpsURLConnection

    public TSHttpsURLConnection(String sClass)
    Instantiates the class defined by sClass
    Parameters:
      `sClass` - - this class is used to instantiate implementation specific HttpsURLConnection class

- ## Method Details

  - ### setDoInput

    public void setDoInput(boolean doInput)
    Sets the value of the doInput field for this Connection
    Specified by:
      `setDoInput` in interface `TSHttpsURLConnectionInterface`
    Parameters:
      `doInput` - - the new value (the default is false)

  - ### setDoOutput

    public void setDoOutput(boolean doOutput)
    Sets the value of the doOutput field for this Connection
    Specified by:
      `setDoOutput` in interface `TSHttpsURLConnectionInterface`
    Parameters:
      `doOutput` - - the new value (the default is false)

  - ### setUseCaches

    public void setUseCaches(boolean usecaches)
    Sets the value of the useCaches field for this Connection If the UseCaches flag on the connection is true, the connection is allowed to use whatever caches it can. If false, caches are to be ignored. The default value is set to true
    Specified by:
      `setUseCaches` in interface `TSHttpsURLConnectionInterface`
    Parameters:
      `usecaches` - - the new value (the default is true)

  - ### setRequestProperty

    public void setRequestProperty(String key, String value)
    Sets the general request property. If a property with the key already exists, overwrite its value with the new value.
    Specified by:
      `setRequestProperty` in interface `TSHttpsURLConnectionInterface`
    Parameters:
      `key` - - the keyword by which the request is known
      `value` - - the value associated with it

  - ### getHeaderField

    public String getHeaderField(String name)
    Returns the value of the named header field. If called on a connection that sets the same header multiple times only the last value is returned.
    Specified by:
      `getHeaderField` in interface `TSHttpsURLConnectionInterface`
    Parameters:
      `name` - - the name of the header field.
    Returns:
      String - the value of the named header field, or null if there is no such field in the header.

  - ### getHeaderField

    public String getHeaderField(int num)
    Returns the value for the nth header field. It returns null if there are fewer than n fields
    Specified by:
      `getHeaderField` in interface `TSHttpsURLConnectionInterface`
    Parameters:
      `num` - - Integer num
    Returns:
      String - returns the value of the nth header field

  - ### disconnect

    public void disconnect()
    Disconnect connection
    Specified by:
      `disconnect` in interface `TSHttpsURLConnectionInterface`

  - ### getInputStream

    public InputStream getInputStream() throws IOException
    Returns an input stream that reads from the open connection
    Specified by:
      `getInputStream` in interface `TSHttpsURLConnectionInterface`
    Returns:
      InputStream - inputStream
    Throws:
      `IOException`

  - ### getOutputStream

    public OutputStream getOutputStream() throws IOException
    Returns an Output stream that writes to the open connection
    Specified by:
      `getOutputStream` in interface `TSHttpsURLConnectionInterface`
    Returns:
      OutputStream - outputStream
    Throws:
      `IOException`

  - ### init

    public void init(URL url) throws IOException
    Initializes HttpsURLConnection
    Specified by:
      `init` in interface `TSHttpsURLConnectionInterface`
    Parameters:
      `url` - url used to open HttpsURLConnection
    Throws:
      `IOException`